Package org.apache.sysds.runtime.frame.data.columns

## Interface IHashArray

All Known Implementing Classes:
  `HashIntegerArray`, `HashLongArray`

    public interface IHashArray

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getInt​(int index)` Get the underlying hash as a int
`long` `getLong​(int index)` Get the underlying hash as a long

### Method Detail

#### getLong

    long getLong​(int index)

Get the underlying hash as a long

Parameters:
  `index` - The index to access
Returns:
  The long value

#### getInt

    int getInt​(int index)

Get the underlying hash as a int

Parameters:
  `index` - The index to access
Returns:
  The int value